<div [ngClass]="{'background': !isDark, 'background-dark': isDark}" (click)="disableContextMenu()" oncontextmenu="return false;">

  <div class="foot">

    <div class="wrapper">

      <div (click)="changeTheme()" [ngClass]="{'foot-btn': !isDark, 'foot-btn-dark': isDark, 'btn-theme-immersive': isImmersive, 'btn-theme': true}"></div>

      <i (click)="createNote()" [ngClass]="{'icon ion-md-add': true, 'newNote': true, 'newNote-immersive': isImmersive}"></i>

      <div [ngClass]="{'btn-open-file': !creatingNote, 'btn-open-file-show': creatingNote}">
        <i class="icon ion-md-folder">
            <input id="spFile" class="form-control" name="spFile">
            <input type="file" (change)="onChange($event)" class="filepicker">
        </i>
      </div>

      <div [ngClass]="{'btn-new-note': !creatingNote, 'btn-new-note-show': creatingNote}">
        <i (click)="newNote()" class="icon ion-md-document addNote"></i>
      </div>

    </div>

  </div>

  <div class="d-flex" id="wrapper">

    <div [ngClass]="{'border-right': true, 'sidebar-hide': isImmersive, 'sidebar': !isImmersive}" id="sidebar-wrapper">
      <div *ngFor="let note of notes; let i = index" class="list-group list-group-flush">
        <a (click)="loadNote(note)" (contextmenu)="onrightClick($event, i)" class="list-group-item list-group-item-action" id="note">
          {{note.title}}
          <i (click)="deleteNote(i)" id="close" class="icon ion-md-close" title="Delete this note"></i>
        </a>

      </div>
    </div>

    <div id="page-content-wrapper" [ngClass]="{'page-light': !isDark, 'page-dark': isDark}">

      <section class="info">
        <p class="time">{{currentTime.getHours()}}:{{(currentTime.getMinutes()<10?'0':'') + currentTime.getMinutes()}}</p>
        <i [ngClass]="{'icon ion-md-bonfire immersive': true, 'immersive-on': isImmersive }" (click)="setImmersive()"></i>
      </section>

      <form>

        <input autocomplete="off" placeholder="Title..." [ngClass]="{'form-control title': true, 'lighttitle': !isDark, 'text-immersive': isImmersive }" type="text" name="title" id="title" value={{title}}>
        <textarea autocomplete="off" placeholder="Text..." [ngClass]="{'form-control text': true, 'lightarea': !isDark, 'text-immersive': isImmersive }" type="text" name="text" id="text" value={{text}} cols="30" rows="30"></textarea>
        <input (click)="saveNote()" type="button" class="btn-save" value="Save">

      </form>


    </div>

  </div>

</div>
<div *ngIf="contextmenu">
  <app-contextmenu (click)="exportNote()" [isDark]="isDark" [x]="contextmenuX" [y]="contextmenuY"></app-contextmenu>
</div>
